Class Specialization
Hamming StringEnumerator
Enumerate all strings within a given edit distance of a "center string".

StringEnumerator

Hamming StringEnumerator

StringEnumerator<TString, EditEnvironment<HammingDistance, DISTANCE> >
Include Headers
seqan/misc/edit_environment.h
Parameters

TString | Type of the string to enumerate the environment of.
DISTANCE | The maximal distance to generate strings with. Types: unsigned

Remarks
See StringEnumerator for examples.
Specialization of
StringEnumerator
Metafunctions

Difference | Type of an object that stores the difference between two iterators. (StringEnumerator)
Host | Type of the object a given object depends on. (StringEnumerator)
Iterator | Type of iterator objects that are used to traverse the container. (StringEnumerator)
Position | Type of an object that represents a position in a container. (StringEnumerator)
Reference | Reference type. (StringEnumerator)
Size | Type of an object that is suitable to hold size information. (StringEnumerator)
Value | Type of the items in the container or behind an iterator. (StringEnumerator)

Data Members

trim | Indicate whether to ignore substitutions in first or last character of string in Levenshtein mode (optimization for approximate search). (StringEnumerator)

Member Functions

StringEnumerator | Constructor (StringEnumerator)

Functions

begin | The begin of a container. (StringEnumerator)
end | The end of a container. (StringEnumerator)
length | The number of items/characters. (StringEnumerator)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00